Update contract position
curl --request PUT \
--url https://api.projectcor.com/v1/contracts/{contract_id}/positions/{contract_position_rate_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rate": 123,
"hours": 123
}
'import requests
url = "https://api.projectcor.com/v1/contracts/{contract_id}/positions/{contract_position_rate_id}"
payload = {
"rate": 123,
"hours": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rate: 123, hours: 123})
};
fetch('https://api.projectcor.com/v1/contracts/{contract_id}/positions/{contract_position_rate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/contracts/{contract_id}/positions/{contract_position_rate_id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rate: 123, hours: 123})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/contracts/{contract_id}/positions/{contract_position_rate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'rate' => 123,
'hours' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/contracts/{contract_id}/positions/{contract_position_rate_id}"
payload := strings.NewReader("{\n \"rate\": 123,\n \"hours\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"user_positions_header_id": 123,
"contract_id": 123,
"position_id": 123,
"team_id": 123,
"currency_id": 123,
"rate": 123,
"hours": 123,
"team": {
"id": 123,
"name": "<string>"
},
"currency": {
"id": 123,
"name": "<string>"
},
"position": {
"id": 123,
"name": "<string>",
"seniority": "<string>"
}
}Contract Positions
Update contract position
Updates rate and/or hours for a contract position.
PUT
/
contracts
/
{contract_id}
/
positions
/
{contract_position_rate_id}
Update contract position
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Contract position updated successfully
Contract position rate configuration
Contract position rate ID
User positions header ID
Contract ID
Position ID
Team ID
Currency ID
Configured hourly rate
Configured contract hours
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

